Subject: Re: bug#65006: 29.1.50; c-ts-mode: else block not indented right on TAB

From: Eli Zaretskii <[email-masked]>
Date: Wed, 02 Aug 2023 20:05:22 +0300

> From: Yuan Fu <[email-masked]>
> Date: Wed, 2 Aug 2023 09:46:54 -0700
> Cc: Mohammed Sadiq <[email-masked]>,
>  [email-masked]
> 
> >> afair, this did seem to work in the past.  May be this
> >> happened after I updated treesitter-c module, idk.
> 
> Yeah, (sign) I can reproduce this with the latest tree-sitter-c grammar but not the old one. Someone decides to add an else_clause node into the grammar [1] two weeks ago.

How was the else clause parsed in the previous versions of the
grammar?

Will the proposed fix work with the older versions of the grammar?

> > Yuan, can you look into this, please?
> 
> Should the fix go into emacs-29 or master?

To emacs-29, please.

> We really need some way to mandate a version of grammar. These breaking changes are far more frequent than I originally thought.

Who will track all those versions and record which ones are supported?
And many grammar libraries don't have versions at all, so we will have
to track commits instead.